﻿using PoJun.MongoDB.Repository;
using PoJun.MongoDB.Repository.IEntity;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Repository.MongoDB
{
    /// <summary>
    /// 【XXX业务库】基础仓储(MongoDB)
    /// </summary>
    /// <typeparam name="TEntity"></typeparam>
    /// <typeparam name="TKey"></typeparam>
    public class BaseRepositoryToASHermed_SinoInterface<TEntity, TKey> : MongoRepositoryAsync<TEntity, TKey>, IBaseRepositoryToASHermed_SinoInterface<TEntity, TKey> where TEntity : class, IEntity<TKey>, new()
    {
        /// <summary>
        /// 默认构造函数
        /// </summary>
        public BaseRepositoryToASHermed_SinoInterface() : base(DBConfig.GetInstance().MongoDB.ASHermed_SinoInterface, nameof(MongoDBConfig.ASHermed_SinoInterface))
        {

        }
    }
}
